<?php
/**
Plugin Name: Simple Site Valuation
Description: Show site's value <a href="http://domof.com/domof.com.html">(by DomOf.com)</a>, Google page rank, and Alexa popularity, all info on one badge.
Version: 1.3
Author: DSF
Author URI: http://domof.com
**/

/*
widget class : settings, form, display, update
*/

class SimpleBadge_Widget extends WP_Widget
{

	function SimpleBadge_Widget()
	{
		$widget_ops = array('classname' => 'SimpleBadge_Widget', 'description' => __( 'Domain Value Badge' ) );
		parent::WP_Widget(false, $name = 'Simple Site Valuation Badge', $widget_ops);
	}

	function widget($args, $instance)
	{
		extract( $args );

		$the_site = 'http://domof.com/';
		$the_blog = $this -> cleanUrl($instance['theWebPage']);

		$the_link = $the_site . $the_blog . '.html';
		$theImage = $the_site . $the_blog . '.png';

		$sml_imag = "\n" .
					'
						<img
							src="'.$theImage.'"
							width="250"
							height="100"
							alt="DomOf - seo analysis report for '.$the_blog.'"
							title="DomOf - website technical info for '.$the_blog.'"
							style="
									border:0;
									margin:0 auto;
									"
						/>
					'
					."\n";

		$sml_href = '<a href="'.$the_link.'" target="_blank">'.$sml_imag.'</a>';

		echo $before_widget;
		$output = '';

		if($instance['the_wrapps'] != '')
		{
			$output .= "\n";
			$output .= '<div class="site_valuation_badge" id = "div_'.$this->id.'">';
			$output .= "\n";
			echo $before_title;
			echo 'This website worth';
			echo $after_title;
		}

		$output .= $sml_href;

		if($instance['the_wrapps'] != '')
		{
			$output .= "\n";
			$output .=  '</div>';
			$output .= "\n";
		}
		
		echo $output;
		echo $after_widget; 
	}

	function update($new_instance, $old_instance)
	{
		return $new_instance;
	}

	function cleanUrl($url)
	{
		$url = trim($url);
		$url = urldecode(stripslashes($url));
		$url = str_replace("http://", "", $url);
		$url = str_replace("https://", "", $url);
		$url = str_replace("ftp://", "", $url);
		$url = explode("/", $url);
		$url = $url[0];
		return $url;
	}

	function form($instance)
	{
		$the_site = 'http://domof.com/';

		if ( trim($instance['theWebPage']) !== '' )
		{
			$the_blog = $this -> cleanUrl($instance['theWebPage']);
		}
		else
		{
			$the_blog = $_SERVER['HTTP_HOST'];
		}

		// start sample domains ;-)
		//$the_blog = 'domof.com';
		//$the_blog = 'latentstrength.com';
		// end sample domains

		$the_link = $the_site . $the_blog . '.html';
		$theImage = $the_site . $the_blog . '.png';
		$sml_imag = '
						<img
							src="'.$theImage.'"
							width="250"
							height="100"
							alt="'.$the_blog.' - website value estimation"
							title="'.$the_blog.' - website value estimation" border="0"
						/>
					';

		$the_fill = WP_PLUGIN_URL . '/simple-site-valuation/transparent.png';

		echo '<div style="padding:0; margin:0 0 15px 0;">';
			if (@getimagesize($theImage))
			{
				echo "<p>That's it, thanks.<br /><small>(250x100px image)</small></p>";
				echo '
						<div style="
									height:100px;
									background:#EEE url('.$the_fill.') repeat;
									overflow:hidden;
									padding:0;
									border-top:1px solid #DDD;
									border-bottom:1px solid #DDD;
									text-align:center;
								">
								'.$sml_imag.'
						</div>
					';
			}
			else
			{
				echo '<p>To initiate this badge please visit <a href="' . $the_link . '" target="_blank">this page</a> to make sure this domain/site is listed on domof.com ;-)</p>';
				echo '<i>... that should be all, just press "Save" below to preview your site\'s value</i>';
				echo '<p>&nbsp;</p>';
				echo '
						<div style="
									height:100px;
									background:#EEE url('.$the_fill.') repeat;
									overflow:hidden;
									padding:0;
									border-top:1px solid #DDD;
									border-bottom:1px solid #DDD;
									text-align:center;
								">
								<b>For now <br />there\'s no image/badge<br /> untill the above are met.</b><br /><br />please make sure<br />the domain name is filled right.
						</div>
					';
			}
		echo '</div>';


		$the_wrapps = esc_attr($instance['the_wrapps']);
		$theWebPage = esc_attr($instance['theWebPage']);
?>


<p>
	<input class="checkbox" type="checkbox" id="<?php echo $this->get_field_id('the_wrapps'); ?>" name="<?php echo $this->get_field_name('the_wrapps'); ?>" value="true" <?php if($the_wrapps == 'true'){echo 'checked="true"';} ?> /> <label for="<?php $this->get_field_id('the_wrapps'); ?>"> <?php echo _e('Use DIV as wrapper:'); ?></label>
</p>

<p>
	<label for="<?php $this->get_field_id('theWebPage'); ?>"> <?php echo _e('Your domain name is:'); ?></label>
    <input class="widefat" type="text" id="<?php echo $this->get_field_id('theWebPage'); ?>" name="<?php echo $this->get_field_name('theWebPage'); ?>" value="<?php echo $the_blog; ?>" />
</p>


<?php
	}

}





/*** Register widget. ***/
function SimpleBadge_load_widgets()
{
	register_widget( 'SimpleBadge_Widget' );
}

/*** Initiate all ***/
add_action('widgets_init', create_function('', 'return register_widget("SimpleBadge_Widget");'));
?>
